Bug 838344 - Review Request: hokuyoaist - Hokuyo Laser SCIP driver
Review Request: hokuyoaist - Hokuyo Laser SCIP driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 11:12 EDT by Rich Mattes
Modified: 2012-09-02 14:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-02 14:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Mattes 2012-07-08 11:12:41 EDT
Spec URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist-4.0.0-1.20120707git24b7f3c.fc17.src.rpm

Description: 
This library provides a driver for Hokuyo laser scanner devices using the
SCIP protocol version 1 or 2. It has been tested with the Hokuyo URG-04LX,
UBG-04LX, UHG-08LX, UTM-30LX and UXM-30LX-E but it should work with any
scanner that conforms to these protocol versions, including the URG-04LX-F01
and the URG-04LX-UG01 (Simple-URG).

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint hokuyoaist.spec ../RPMS/x86_64/hokuyoaist-*
hokuyoaist.spec: W: invalid-url Source0: gbiggs-hokuyoaist-3.0.0-0-g24b7f3c.tar.gz
hokuyoaist.x86_64: W: spelling-error Summary(en_US) Hokuyo -> Hokum
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4225444

This package depends on the "flexiport" package, which is currently only in rawhide.  Both packages are originally from the "gearbox" package, but the latest version of gearbox saw the hokuyoaist license change from LGPL to EPL.  This package is based on a separate redistribution under the LGPL, so I made a new package and will rebuild all dependencies once this package is in place.
Comment 1 Paul Wouters 2012-07-09 23:54:40 EDT
I'll take it
Comment 2 Paul Wouters 2012-07-15 18:30:20 EDT
Two questions left,

1) Let me know about the github upstream URL
2) Shouldn't you obsolete the package this was split off from?


Package Review
==============

Key:
- = N/A
v = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[v]: MUST Header files in -devel subpackage, if present.
[v]: MUST ldconfig called in %post and %postun if required.
[v]: MUST Package does not contain any libtool archives (.la)
[v]: MUST Package does not contain kernel modules.
[v]: MUST Package contains no static executables.
[v]: MUST Rpath absent or only used for internal libs.
[v]: MUST Package is not relocatable.
[v]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.

==== Generic ====
[v]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[v]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[v]: MUST %build honors applicable compiler flags or justifies otherwise.
[v]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[v]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[v]: MUST Package contains no bundled libraries.
[v]: MUST Changelog in prescribed format.
[v]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[v]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[v]: MUST Macros in Summary, %description expandable at SRPM build time.
[v]: MUST Package requires other packages for directories it uses.
[v]: MUST Package uses nothing in %doc for runtime.
[v]: MUST Package is not known to require ExcludeArch.
[v]: MUST Permissions on files are set properly.
[v]: MUST Package does not contain duplicates in %files.
[v]: MUST Fully versioned dependency in subpackages, if present.
[v]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[v]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[v]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[v]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[v]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[v]: MUST Package is named according to the Package Naming Guidelines.
[?]: MUST Package does not generate any conflict.
     Paul: Shouldn't this package obsolete the old named one from which it was split?
[v]: MUST Package obeys FHS, except libexecdir and /usr/target.
[v]: MUST Package must own all directories that it creates.
[v]: MUST Package does not own files or directories owned by other packages.
[v]: MUST Package installs properly.
[-]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[v]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint hokuyoaist-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

hokuyoaist.i686: W: spelling-error Summary(en_US) Hokuyo -> Hokum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint hokuyoaist-debuginfo-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint hokuyoaist-devel-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint hokuyoaist-4.0.0-1.20120707git24b7f3c.fc18.src.rpm

hokuyoaist.src: W: spelling-error Summary(en_US) Hokuyo -> Hokum
hokuyoaist.src: W: invalid-url Source0: gbiggs-hokuyoaist-3.0.0-0-g24b7f3c.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

It would be best if you could use the tar at github as upstream,
eg: https://github.com/gbiggs/hokuyoaist/tarball/3.0.0/

A discussion fedora-devel about github was not conclusive though.


[v]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[v]: MUST Spec file is legible and written in American English.
[v]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.

[-]: MUST Package contains a SysV-style init script if in need of one.
[v]: MUST File names are valid UTF-8.
[v]: MUST Useful -debuginfo package or justification otherwise.
[v]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[v]: SHOULD Dist tag is present.
[v]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).

Sane, but what about obsoleting the packge this was split of from?

[?]: SHOULD Package functions as described.

Cannot test, do not own the hardware

[v]: SHOULD Latest version is packaged.
[v]: SHOULD Package does not include license text files separate from
     upstream.
[v]: SHOULD The placement of pkgconfig(.pc) files are correct.
[-]: SHOULD Scriptlets must be sane, if used.
[v]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[v]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[v]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5
[!]: MUST Rpmlint output is silent.

rpmlint hokuyoaist-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

hokuyoaist.i686: W: spelling-error Summary(en_US) Hokuyo -> Hokum
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint hokuyoaist-debuginfo-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint hokuyoaist-devel-4.0.0-1.20120707git24b7f3c.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint hokuyoaist-4.0.0-1.20120707git24b7f3c.fc18.src.rpm

hokuyoaist.src: W: spelling-error Summary(en_US) Hokuyo -> Hokum
hokuyoaist.src: W: invalid-url Source0: gbiggs-hokuyoaist-3.0.0-0-g24b7f3c.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Rich Mattes 2012-07-16 00:14:27 EDT
1) I will go ahead and update the upstream source URL to be:
https://github.com/gbiggs/hokuyoaist/tarball/tags/3.0.0/gbiggs-hokuyoaist-3.0.0-0-g%{gitrev}.tar.gz

2) I think that this package should conflict with gearbox < 10.11
The gearbox packages in Fedora (9.11) currently include hokuyoaist libraries.  When i rebuilt gearbox in rawhide using version 10.11, I left out the hokuyoaist support.  Gearbox still contains a bunch of other unrelated libraries though, so hokuyoaist should be able to be installed with gearbox, thus I think the versioned conflict is the way to go.


Spec URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist-4.0.0-2.20120707git24b7f3c.fc17.src.rpm
Comment 4 Paul Wouters 2012-07-16 15:43:29 EDT
Shouldn't the version be 3.0.0-0.3.20120707gitXXXXXX ?

I think you bumped the wrong number, if upstream is still 3.0.0.

Perhaps use the version in the source url to prevent this mistake in the future:


Source0:        https://github.com/gbiggs/hokuyoaist/tarball/tags/%{version}/gbiggs-hokuyoaist-%{version}-g%{gitrev}.tar.gz
Comment 5 Rich Mattes 2012-07-17 10:13:40 EDT
The git tag says version 3.0.0, but the CMakeLists.txt contains a version of 4.0.0.  Since the libraries, headers, and pkgconfig are all versioned off of the number in the CMake scripts, I opted to use the version in the code rather than the git tag.  I will file a bug upstream asking for clarification.
Comment 6 Rich Mattes 2012-07-19 09:20:18 EDT
I filed a bug upstream[1] asking for clarification on the package versioning.

[1] https://github.com/gbiggs/hokuyoaist/issues/2
Comment 7 Rich Mattes 2012-07-29 00:20:24 EDT
It turns out that the upstream bump to 4.0.0 in the CMakeLists.txt was premature, he's created a new 3.0.1 tag that I've pulled down and built with.  The updated packages are here:

Spec URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/hokuyoaist/hokuyoaist-3.0.1-1.20120729git69df78b.fc17.src.rpm

$ rpmlint hokuyoaist.spec ../RPMS/x86_64/hokuyoaist-*
hokuyoaist.spec: W: invalid-url Source0: https://github.com/gbiggs/hokuyoaist/tarball/tags/3.0.1/gbiggs-hokuyoaist-3.0.1-0-g69df78b.tar.gz HTTP Error 404: Not Found
hokuyoaist.x86_64: W: spelling-error Summary(en_US) Hokuyo -> Hokum
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 8 Paul Wouters 2012-07-29 14:48:42 EDT
APPROVED, though fix the comments in the spec file to not exceed 80 chars/line
Comment 9 Rich Mattes 2012-07-29 20:22:10 EDT
Will do, thanks for the review Paul.
Comment 10 Rich Mattes 2012-07-29 20:23:35 EDT
New Package SCM Request
=======================
Package Name: hokuyoaist
Short Description: Hokuyo Laser SCIP driver
Owners: rmattes
Branches: f16 f17 el6
InitialCC:
Comment 11 Gwyn Ciesla 2012-07-29 21:23:01 EDT
Git done (by process-git-requests).
Comment 12 Paul Wouters 2012-08-23 19:09:44 EDT
rich: don't forget to build and update packages, and then close this bug!
Comment 13 Rich Mattes 2012-09-02 14:14:21 EDT
Thanks, I've got packages built, closing now.

Note You need to log in before you can comment on or make changes to this bug.